summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/swi-prolog/README10
-rw-r--r--development/swi-prolog/slack-desc19
-rw-r--r--development/swi-prolog/swi-prolog.SlackBuild93
-rw-r--r--development/swi-prolog/swi-prolog.info10
4 files changed, 132 insertions, 0 deletions
diff --git a/development/swi-prolog/README b/development/swi-prolog/README
new file mode 100644
index 0000000000..a6dbcc9b6e
--- /dev/null
+++ b/development/swi-prolog/README
@@ -0,0 +1,10 @@
+SWI-Prolog is a comprehensive Prolog environment. Its development
+started in 1987 and has been driven by real-world applications.
+SWI-Prolog is widely used in research, education, and commercial
+applications.
+
+swi-prolog is build without BerkeleyDB support at the moment (too
+experimental and won't build) and without GMP support. If you want
+GMP support with swiprolog, you need to build GMPlib (there is
+currently no build script at SlackBuilds.org from http://gmplib.org/
+and run the script with GMP=yes ./swi-prolog.SlackBuild
diff --git a/development/swi-prolog/slack-desc b/development/swi-prolog/slack-desc
new file mode 100644
index 0000000000..ff6947506e
--- /dev/null
+++ b/development/swi-prolog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+swi-prolog: swi-prolog (a comprehensive Prolog environment)
+swi-prolog:
+swi-prolog: SWI-Prolog is a comprehensive Prolog environment. Its
+swi-prolog: development started in 1987 and has been driven by real-world
+swi-prolog: applications. SWI-Prolog is widely used in research, education,
+swi-prolog: and commercial applications.
+swi-prolog:
+swi-prolog: Homepage: http://www.swi-prolog.org/
+swi-prolog:
+swi-prolog:
+swi-prolog:
diff --git a/development/swi-prolog/swi-prolog.SlackBuild b/development/swi-prolog/swi-prolog.SlackBuild
new file mode 100644
index 0000000000..ba83a6d62b
--- /dev/null
+++ b/development/swi-prolog/swi-prolog.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+# Slackware build script for swi prolog
+# written by Florian Kanngiesser (florian.kanngiesser@googlemail.com)
+
+PRGNAM=swi-prolog
+VERSION=${VERSION:-6.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=pl
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# GMP requires gmplib, which is not on SlackBuilds.org (see README).
+if [ "${GMP:-no}" = "no" ]; then
+ SETGMP="out"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build with default options: In future hopefully we can build with BerkeleyDB
+# support (--with-db).
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --with-world \
+ --with$SETGMP-gmp \
+ --build=$ARCH-slackware-linux
+
+make all
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL README* VERSION demo ReleaseNotes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.${PKGTYPE:-tgz}
diff --git a/development/swi-prolog/swi-prolog.info b/development/swi-prolog/swi-prolog.info
new file mode 100644
index 0000000000..2556027cc7
--- /dev/null
+++ b/development/swi-prolog/swi-prolog.info
@@ -0,0 +1,10 @@
+PRGNAM="swi-prolog"
+VERSION="6.0.0"
+HOMEPAGE="http://www.swi-prolog.org/"
+DOWNLOAD="http://www.swi-prolog.org/download/stable/src/pl-6.0.0.tar.gz"
+MD5SUM="5c09e6f37fe56bc843a8f3fcce380fb0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Florian Kanngiesser"
+EMAIL="florian.kanngiesser@googlemail.com"
+APPROVED="dsomero"